List Course Packages
Endpoint used to retrieve the list of course packages in Toolzz LMS.
Request Example
Section titled “Request Example”curl --request GET \ --url 'https://kong.api.toolzz.com.br/api/plans/' \ --header 'Authorization: Bearer <token>'Response Example
Section titled “Response Example”{ "data": { "current_page": 1, "data": [ { "id": 1, "uuid": "<string>", "instituicao_id": 1, "user_id": 1, "external_id": "<string>", "transaction_operator": "<string>", "name": "<string>", "cover": "<string>", "interval": "<string>", "trial_days": 0, "amount": "<string>", "payment_method": "<string>", "max_installments": 12, "description": "<string>", "status": "<string>", "public": 1, "created_at": "<string>", "updated_at": "<string>", "checkout_url": "<string>", "checkout_external": 0 } ] }}Request description
Section titled “Request description”Access Token
Section titled “Access Token”| Parameter | Type | Description | Required |
|---|---|---|---|
Authorization | String | Access token (“Bearer” must be before the token) | Yes |
Response description
Section titled “Response description”| Key | Type | Description |
|---|---|---|
data | object | List of course packages. |
data.current_page | number | Current page number of the result set. |
data.data | array | List of course packages. |
data.data.id | number | Unique identifier of the course package. |
data.data.uuid | string | Universal unique identifier (UUID) of the course package. |
data.data.instituicao_id | number | ID of the institution associated with the package. |
data.data.user_id | number | ID of the user associated with the package. |
data.data.external_id | string | External ID, if available. |
data.data.transaction_operator | string | Payment system used in the transaction. |
data.data.name | string | Name of the course package. |
data.data.cover | string | URL of the course package cover image. |
data.data.interval | string | Subscription interval (e.g., months, years). |
data.data.trial_days | number | Number of trial days before payment. |
data.data.amount | string | Price of the course package. |
data.data.payment_method | string | Payment method used (e.g., credit card). |
data.data.max_installments | number | Maximum number of installments allowed. |
data.data.description | string | Description of the course package. |
data.data.status | string | Package status (e.g., Active, Inactive). |
data.data.public | number | Indicates if the package is public (1) or private (0). |
data.data.created_at | string | Date and time the package was created. |
data.data.updated_at | string | Date and time the package was last updated. |
data.data.checkout_url | string | URL for the checkout process. |
data.data.checkout_external | number | Indicates if checkout is external (1) or internal (0). |
Security
Section titled “Security”To access this endpoint, it is necessary to send a valid access token through the authorization header (Authorization) of the request. Additionally, the API is protected by other security measures to safeguard user data.